com.rscja.deviceapi.interfaces

## Interface IRFIDWithUHFA4

- All Superinterfaces:
    IMultipleAntenna
  All Known Subinterfaces:
    IRFIDWithUHFA4NetWork, IRFIDWithUHFA4RS232, IRFIDWithUHFA4Uart, IUHFA4
  All Known Implementing Classes:
    RFIDWithUHFA4, RFIDWithUHFA4_qcom, RFIDWithUHFA4NetWork, RFIDWithUHFA4NetWork_qcom, RFIDWithUHFA4RS232, RFIDWithUHFA4RS232_qcom, UHFCSYX_A4NetWork, UHFTemperatureTagsAPI_qcom

      public interface IRFIDWithUHFA4
      extends IMultipleAntenna

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<GPIStateEntity>` | `inputStatus()` input status
    `boolean` | `output1Off()` gpio 3 off
    `boolean` | `output1On()` gpio 3 on
    `boolean` | `output2Off()` gpio 4 off
    `boolean` | `output2On()` gpio 4 on
    `boolean` | `output3Off()` gpio OptoCoupler3 off
    `boolean` | `output3On()` gpio OptoCoupler3 on
    `boolean` | `output4Off()` gpio OptoCoupler4 off
    `boolean` | `output4On()` gpio OptoCoupler4 on
    `boolean` | `outputWgData0Off()` gpio WgData0 off
    `boolean` | `outputWgData0On()` gpio WgData0 on
    `boolean` | `outputWgData1Off()` gpio WgData1 off
    `boolean` | `outputWgData1On()` gpio WgData1 on

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IMultipleAntenna

      `getANT, getAntennaPower, getAntennaPower, setANT, setAntennaPower`

- - ### Method Detail

    - #### output2Off

          boolean output2Off()

      gpio 4 off
      Returns:
        true;success false:fail

    - #### output2On

          boolean output2On()

      gpio 4 on
      Returns:
        true;success false:fail

    - #### output1Off

          boolean output1Off()

      gpio 3 off
      Returns:
        true;success false:fail

    - #### output1On

          boolean output1On()

      gpio 3 on
      Returns:
        true;success false:fail

    - #### inputStatus

          java.util.List<GPIStateEntity> inputStatus()

      input status
      Returns:
        null:fail ; [0]:input1 , [1]:input2 [2]:OptoCoupler_input3 [3]:OptoCoupler_input4

    - #### output3On

          boolean output3On()

      gpio OptoCoupler3 on
      Returns:
        true;success false:fail OPTOCOUPLER

    - #### output3Off

          boolean output3Off()

      gpio OptoCoupler3 off
      Returns:
        true;success false:fail

    - #### output4On

          boolean output4On()

      gpio OptoCoupler4 on
      Returns:
        true;success false:fail

    - #### output4Off

          boolean output4Off()

      gpio OptoCoupler4 off
      Returns:
        true;success false:fail

    - #### outputWgData0On

          boolean outputWgData0On()

      gpio WgData0 on
      Returns:
        true;success false:fail

    - #### outputWgData0Off

          boolean outputWgData0Off()

      gpio WgData0 off
      Returns:
        true;success false:fail

    - #### outputWgData1On

          boolean outputWgData1On()

      gpio WgData1 on
      Returns:
        true;success false:fail

    - #### outputWgData1Off

          boolean outputWgData1Off()

      gpio WgData1 off
      Returns:
        true;success false:fail